---
search:
  tags:
    - Deals
    - POST
seo:
  description: >-
    Early access: request API access for your workspace at
    https://bauhow.com/support before using… Reference for the POST /v1/deals
    endpoint in the Bauhow API.
sidebar:
  label: Create a deal
  badge: POST
title: Create a deal
type: openapi-operation
---
**Early access:** request API access for your workspace at https://bauhow.com/support before using this endpoint.

`POST /v1/deals`

**Request body** (`application/json`, required)

- `contactId` (string, required)
- `title` (string, required)
- `stageId` (string, required)
- `value` (number | null)
- `ownerId` (string | null)
- `projectTypeIds` (string[])
- `street` (string | null)
- `postalCode` (string | null)
- `city` (string | null)
- `notes` (string | null)

Request body example:

```json
{
  "contactId": "string",
  "title": "string",
  "stageId": "string",
  "value": 0,
  "ownerId": "string",
  "projectTypeIds": [
    "string"
  ],
  "street": "string",
  "postalCode": "string",
  "city": "string",
  "notes": "string"
}
```

**Responses**

- `201` — OK

Response example, 201:

```json
{
  "id": "string",
  "contactId": "string",
  "title": "string",
  "value": 0,
  "stageId": "string",
  "stageEnteredAt": "2019-08-24T14:15:22Z",
  "status": "open",
  "ownerId": "string",
  "projectTypeIds": [
    "string"
  ],
  "street": "string",
  "postalCode": "string",
  "city": "string",
  "notes": "string",
  "projectId": "string",
  "closedAt": "2019-08-24T14:15:22Z",
  "archivedAt": "2019-08-24T14:15:22Z",
  "createdAt": "2019-08-24T14:15:22Z",
  "updatedAt": "2019-08-24T14:15:22Z"
}
```
